import React,{Component} from "react";
import { Button } from '@tarojs/components'
import { AtModal, AtModalHeader, AtModalContent, AtModalAction } from "taro-ui"

import "taro-ui/dist/style/components/modal.scss";

class InquiryModal extends Component{
  constructor(props) {
    super(props);
  }

  render() {
    return(
      <AtModal isOpened={this.props.isOpened}>
        <AtModalHeader>{this.props.title || '提示'}</AtModalHeader>
        <AtModalContent>
          {this.props.content || ''}
        </AtModalContent>
        <AtModalAction>
          <Button onClick={this.props.onClose}>取消</Button>
          <Button onClick={this.props.onDetermine}>确定</Button>
        </AtModalAction>
      </AtModal>
    )
  }
}

export default InquiryModal;
