import React,{Component} from "react";
import {View,Icon} from '@tarojs/components'
import {AtButton} from "taro-ui";
import './index.less';
import Taro from "@tarojs/taro";

class Result extends Component{
  constructor(props) {
    super(props);
    this.determine= this.determine.bind(this);
    this.punchClock= this.punchClock.bind(this);
  }

  determine(){
    Taro.eventCenter.trigger('result')
  }

  punchClock(e){
    e.stopPropagation();
    Taro.eventCenter.trigger('GoPunchIn',this.props.punchClockInfor)
    Taro.switchTab({
      url: '/pages/punchClock/index',
    })

  }

  render() {
    return(
      <View className='result'>
        <View className='resultIcon'>
          {/*{*/}
          {/*  this.props.resultState === 0 ?*/}
          {/*    <Icon size='80' type='success' /> :*/}
          {/*    this.props.resultState === 43101 ?*/}
          {/*      <Icon size='80' type='info' /> :*/}
          {/*      <Icon size='80' type='warn' />*/}
          {/*}*/}
          <Icon size='80' type='success' />
        </View>
        <View className='resultTitle'>
          <View>申请成功,可以打卡了！</View>
          <View className='resultError'>
            {
              this.props.resultState === 0 ?
                '' :
                this.props.resultState === 43101 || this.props.resultState === 2 || this.props.resultState === 40003 ?
                  ('您可以联系上级审核' + '(' +this.props.resultState + ')') :
                  this.props.resultState === 41030 || this.props.resultState === 47003 || this.props.resultState === 40037 ?
                    ('您可以联系上级审核' + '(' +this.props.resultState + ')'):
                    ('您可以联系上级审核' + '(' +this.props.resultState + ')')
            }
          </View>
        </View>
        <View className='resultOperation'>
          <AtButton circle onClick={this.determine}>
            再次发起
          </AtButton>
          <AtButton circle type='primary' onClick={this.punchClock}>
            前往打卡
          </AtButton>
          <AtButton type='secondary' circle onClick={()=>{
            Taro.navigateTo({
              url:'/pages/egressDetails/index?id='+this.props.resultId
            })
          }}>
            前往分享
          </AtButton>
        </View>
      </View>
    )
  }
}

export default Result;
